      Program site_amp_from_v30_vs_per

*!Control file for decimate_file_rows
*!Number of rows to skip before starting to decimate:
*  1
*!ndecimate
*  5
*!extension to add to file name ! ndecim000, with "000" replaced by ndecim,
*!will be added to the beginning of the extension).
* .col
*!Files with row to decimate
*tmrs_loop_add_noise_td_drvr_m6.5_r_30_no_noise_500sims_fs.S0070.00M6.50R0030.00.col 
*tmrs_loop_add_noise_td_drvr_m6.5_r_30_1gals_noise_500sims_f.S0070.00M6.50R0030.00.col
*tmrs_loop_add_noise_td_drvr_m6.5_r_30_2gals_noise_500sims_f.S0070.00M6.50R0030.00.col
*tmrs_loop_add_noise_td_drvr_m6.5_r_30_4gals_noise_500sims_f.S0070.00M6.50R0030.00.col
*tmrs_loop_add_noise_td_drvr_m6.5_r_30_8gals_noise_500sims_f.S0070.00M6.50R0030.00.col
*tmrs_loop_add_noise_td_drvr_m6.5_r_30_16gals_noise_500sims_.S0070.00M6.50R0030.00.col
* stop
 
! Dates: 04/22/10 - Written by D. Boore 
* 

      character  ctl_cmmnts(20)*79
      character buf*500, buf4*4
      character f_in*100, f_out*120, f_ctl*120
      character  c_ndecim*15, stem*100 
      
      integer status
	
      logical f_exist 

      f_exist = .false.
      do while (.not. f_exist)
        f_ctl = ' '
        write(*, '(a\)') 
     :    ' Enter name of control file'//
     :    ' ("Enter"=decimate_file_rows.ctl;'//
     :    ' CTL-BRK to quit): '
        read(*, '(a)') f_ctl
        if (f_ctl(1:4) .eq. '    ') 
     :    f_ctl = 'decimate_file_rows.ctl'
        call trim_c(f_ctl,nc_f_ctl)
        inquire(file=f_ctl(1:nc_f_ctl), exist=f_exist)
        if (.not. f_exist) then
          write(*,'(a)') ' ******* FILE DOES NOT EXIST ******* '
        end if
      end do
      call trim_c(f_ctl,nc_f_ctl)
      call get_lun(nu_ctl)
      open(nu_ctl, file=f_ctl(1:nc_f_ctl), status = 'unknown')
      write(*, '(1x,a)') ' Control file: '//f_ctl(1:nc_f_ctl)

* Obtain info from control file:

      call skipcmnt(nu_ctl,ctl_cmmnts, nc_ctl_cmmnts)
      read(nu_ctl, *) nskip
      
      call skipcmnt(nu_ctl,ctl_cmmnts, nc_ctl_cmmnts)
      read(nu_ctl, *) ndecimate
      
      call skipcmnt(nu_ctl,ctl_cmmnts, nc_ctl_cmmnts)
      stem = ' '
      read(nu_ctl, '(a)') stem
      call trim_c(stem, nc_stem)

      c_ndecim = ' '
      c_ndecim = '.ndecim000'
      call trim_c(c_ndecim, nc_c_ndecim)
      if (ndecimate > 99) then
        write(c_ndecim(nc_c_ndecim-2:nc_c_ndecim),'(i3)') ndecimate  ! assume ndecimate<1000
      else if (ndecimate > 9) then
        write(c_ndecim(nc_c_ndecim-1:nc_c_ndecim),'(i2)') ndecimate
      else
        write(c_ndecim(nc_c_ndecim:nc_c_ndecim),'(i1)') ndecimate
      end if
        
      
      call skipcmnt(nu_ctl,ctl_cmmnts, nc_ctl_cmmnts)
       
      loop over files:  DO

        f_in = ' '
        read(nu_ctl,'(a)',iostat=status) f_in
        if (status /= 0) exit loop over files
        call trim_c(f_in,nc_f_in)
        buf4 = ' '
        buf4 = f_in(1:4)
        call upstr(buf4)
        if (buf4 .eq. 'STOP') exit loop over files

        f_exist = .false.
        inquire(file=f_in(1:nc_f_in), exist=f_exist)
        if (.not. f_exist) then
          write(*,'(a)') ' ******* FILE '//f_in(1:nc_f_in)//
     :                   ' DOES NOT EXIST; SKIP TO NEXT FILE ******* '
          CYCLE loop over files
        end if
       
        call get_lun(nu_in)
        open(nu_in, file=f_in(1:nc_f_in), status = 'unknown')
        
        f_out = ' '
        f_out = f_in(1:nc_f_in)//c_ndecim(1:nc_c_ndecim)//
     :          stem(1:nc_stem)        
        call trim_c(f_out,nc_f_out)
        call get_lun(nu_out)
        open(nu_out, file=f_out(1:nc_f_out), status = 'unknown')
      
        buf = ' '
        do i = 1, nskip
          read(nu_in,'(a)') buf
          call trim_c(buf, nc_buf)
          write(nu_out,'(a)') buf(1:nc_buf)
        end do
        
        nrows = 0
        loop over rows: DO
        
          buf =  ' '
          read(nu_in,'(a)',iostat=status) buf
          if (status /= 0) exit loop over rows
          nrows = nrows + 1
          if (nrows == 1 .or. mod(nrows, ndecimate) == 0) then
            call trim_c(buf, nc_buf)
            write(nu_out,'(a)') buf(1:nc_buf)
          end if
        END DO loop over rows
        
        close(nu_in)
      
        close(nu_out)
       
      
      END DO loop over files            
     
      close(nu_ctl)
       
      
       
      stop
      
      end
      
 
       
      include '\forprogs\get_lun.for'
      include '\forprogs\skip.for'
      include '\forprogs\trim_c.for'
      include '\forprogs\upstr.for'
      include '\forprogs\skipcmnt.for'
  